package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlShowStatusStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private boolean global = false;
   private boolean session = false;
   private SQLExpr like;
   private SQLExpr where;

   public boolean isGlobal() {
      return this.global;
   }

   public void setGlobal(boolean global) {
      this.global = global;
   }

   public boolean isSession() {
      return this.session;
   }

   public void setSession(boolean session) {
      this.session = session;
   }

   public SQLExpr getLike() {
      return this.like;
   }

   public void setLike(SQLExpr like) {
      this.like = like;
   }

   public SQLExpr getWhere() {
      return this.where;
   }

   public void setWhere(SQLExpr where) {
      this.where = where;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.like);
         this.acceptChild(visitor, this.where);
      }

      visitor.endVisit(this);
   }
}
